Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000943Double CommanderFile operationspublic2014-10-27 11:512016-10-09 17:59
Reportertarkabak 
Assigned ToAlexx2000 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
ProjectionnoneETAnone 
Platform64bitOSWindowsOS Version7
Product Version0.5.11Product Build5647M 
Target Version0.8.0Fixed in Version0.8.0 
Summary0000943: Please support paths longer than 259 chars on Windows
DescriptionCurrently it is impossible on Windows to enter a directory, or operate on a file or directory that has a path longer than 259 characters. This is a limitation in some Windows APIs, but it should be possible to work around it. Please see: http://msdn.microsoft.com/en-us/library/windows/desktop/aa365247(v=vs.85).aspx#maxpath [^]

TC works around this, while it displays a warning to the user:
‘The target name length (<LENGTH>) is more than 259 characters! <PATH> Most programs will not be able to access a file/directory with such a long name!’

And offers two options: Keep name, or Abort.

In file operations like copying, it also offers: Keep all, Skip, Skip all and Rename on the same dialog. (Rename is pretty silly, please ignore it.)
TagsNo tags attached.
Fixed in Revision7042-7052,7054-7056,7060-7062
Operating systemWindows
WidgetsetWin32
Architecture64-bit
Attached Files

- Relationships
duplicate of 0000182closed Copy files with overlong filenames 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-10-27 11:51 tarkabak New Issue
2014-12-02 04:01 Alexx2000 Relationship added duplicate of 0000182
2016-08-20 11:32 Alexx2000 Assigned To => Alexx2000
2016-08-20 11:32 Alexx2000 Status new => assigned
2016-08-20 11:35 Alexx2000 Fixed in Revision => 7042-7052,7054-7056
2016-08-20 11:35 Alexx2000 Target Version => 0.8.0
2016-08-20 17:59 Alexx2000 Fixed in Revision 7042-7052,7054-7056 => 7042-7052,7054-7056,7060-7062
2016-08-21 07:57 Alexx2000 Status assigned => feedback
2016-08-21 07:57 Alexx2000 Resolution open => fixed
2016-10-09 17:58 Alexx2000 Status feedback => resolved
2016-10-09 17:58 Alexx2000 Fixed in Version => 0.8.0
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker